Subject: Re: 5.10 LTS Kernel: 2 or 6 years?

From: Nishanth Aravamudan <[email-masked]>
Date: Mon, 22 Feb 2021 08:00:52 -0600

Hi Greg,

On 26.01.2021 [08:29:25 +0100], Greg Kroah-Hartman wrote:
> On Mon, Jan 25, 2021 at 11:55:11AM -0800, Scott Branden wrote:
> > Hi All,
> > 
> > The 5.10 LTS kernel being officially LTS supported for 2 years
> > presents a problem: why would anyone select a 5.10 kernel with 2
> > year LTS when 5.4 kernel has a 6 year LTS.

<snip>

> > If 5.10 is "actually" going to be supported for 6 years it would be
> > quite valuable to make such a declaration.
> > https://www.kernel.org/category/releases.html
> 
> Why?  What would that change?
> 
> Ok, seriously, this happens every year, and every year we go through
> the same thing, it's not like this is somehow new, right?
> 
> I want to see companies _using_ the kernel, and most importantly,
> _updating_ their devices with it, to know if it is worth to keep
> around for longer than 2 years.  I also, hopefully, want to see how
> those companies will help me out in the testing and maintenance of
> that kernel version in order to make supporting it for 6 years
> actually possible.
> 
> So, are you planning on using 5.10?  Will you will be willing to help
> out in testing the -rc releases I make to let me know if there are any
> problems, and to help in pointing out and backporting any specific
> patches that your platforms need for that kernel release?
> 
> When I get this kind of promises and support from companies, then I am
> glad to bump up the length of the kernel support from 2 to 6 years,
> and I mark it on the web site.  Traditionally this happens in
> Febuary/March once I hear from enough companies.  Can I count on your
> support in this endeavor?

I am very sorry for the long delay on my end (I had privately e-mailed
Greg on January 28) -- DigitalOcean also intends to provide feedback and
testing on the 5.10 series. We intend to use it as the basis for our
next-next kernel and are very invested in ensuring the stability and
performance of the kernel.

Thanks,
Nish

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel